//transition//

@mixin transition($args...) {

  -webkit-transition: $args;
  -moz-transition: $args;
  -ms-transition: $args;
  -o-transition: $args;
  transition: $args;

}

//transition//

//positions//

@mixin pos-abs($top: null, $right: null, $bottom: null, $left: null) {

  position: absolute;
  top: $top;
  right: $right;
  bottom: $bottom;
  left: $left;

}

@mixin pos-rel($top: null, $right: null, $bottom: null, $left: null) {

  position: relative;
  top: $top;
  right: $right;
  bottom: $bottom;
  left: $left;

}

//positions//

// flexBox //

@mixin flex($flex) {

  -webkit-flex: $flex;
  -moz-flex: $flex;
  -ms-flex: $flex;
  display: $flex;

}
@mixin flex-wrap($wrap) {

  -webkit-flex-wrap: $wrap;
  -moz-flex-wrap: $wrap;
  -ms-flex-wrap: $wrap;
  flex-wrap: $wrap;

}

@mixin justify-content($justify) {

  -webkit-justify-content: $justify;
  -moz-justify-content: $justify;
  -ms-justify-content: $justify;
  justify-content: $justify;
  -ms-flex-pack: $justify;

}
@mixin justify-content($justify) {

  -webkit-justify-content: $justify;
  -moz-justify-content: $justify;
  -ms-justify-content: $justify;
  justify-content: $justify;
  -ms-flex-pack: $justify;

}

@mixin align-items($align) {

  -webkit-align-items: $align;
  -moz-align-items: $align;
  -ms-align-items: $align;
  align-items: $align;

}

@mixin flex-direction($column) {

  -webkit-flex-direction: $column;
  -moz-flex-direction: $column;
  -ms-flex-direction: $column;
  flex-direction: $column;

}

// flexBox //

